Navigate Browser
POST /v1/browser/interactions/navigate
Navigate to a URL in browser session
Authentication
Requires authentication via: OAuth2PasswordBearer.
Parameters
| Name | In | Type | Required | Description | Constraints |
|---|---|---|---|---|---|
X-API-Key | header | string | null | No | nullable |
Request Body
Required: Yes
application/json
Resolved schema:
{
"properties": {
"url": {
"type": "string",
"title": "Url"
},
"session_id": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "Session Id"
},
"wait_timeout": {
"anyOf": [
{
"type": "integer"
},
{
"type": "null"
}
],
"title": "Wait Timeout",
"default": 30000
}
},
"type": "object",
"required": [
"url"
],
"title": "BrowserNavigateRequest",
"description": "Request schema for navigating to a URL"
}
Field details:
| Field | Type | Required | Description | Constraints |
|---|---|---|---|---|
url | string | Yes | ||
session_id | string | null | No | nullable | |
wait_timeout | integer | null | No | nullable |
Responses
200
Successful Response
application/json
Resolved schema:
{
"properties": {
"success": {
"type": "boolean",
"title": "Success"
},
"message": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "Message"
},
"execution_time": {
"type": "number",
"title": "Execution Time"
},
"session_id": {
"type": "string",
"title": "Session Id"
},
"data": {
"anyOf": [
{
"type": "object"
},
{
"type": "null"
}
],
"title": "Data"
}
},
"type": "object",
"required": [
"success",
"execution_time",
"session_id"
],
"title": "BrowserInteractionResponse",
"description": "Generic response for browser interactions"
}
Field details:
| Field | Type | Required | Description | Constraints |
|---|---|---|---|---|
success | boolean | Yes | ||
message | string | null | No | nullable | |
execution_time | number | Yes | ||
session_id | string | Yes | ||
data | object | null | No | nullable |
400
The browser service rejected the request as invalid.
No response body.
401
No credentials, or the Bearer token / X-API-Key is invalid.
No response body.
403
The account is disabled, or a guest token was used.
No response body.
404
The browser service reported the target as not found.
No response body.
409
The browser service refused the request because of a conflicting state.
No response body.
422
Validation Error
application/json
Resolved schema:
{
"properties": {
"detail": {
"items": {
"properties": {
"loc": {
"items": {
"anyOf": [
{
"type": "string"
},
{
"type": "integer"
}
]
},
"type": "array",
"title": "Location"
},
"msg": {
"type": "string",
"title": "Message"
},
"type": {
"type": "string",
"title": "Error Type"
}
},
"type": "object",
"required": [
"loc",
"msg",
"type"
],
"title": "ValidationError"
},
"type": "array",
"title": "Detail"
}
},
"type": "object",
"title": "HTTPValidationError"
}
Field details:
| Field | Type | Required | Description | Constraints |
|---|---|---|---|---|
detail | array<object> | No | ||
detail[] | object | No | ||
detail[].loc | array<string | integer> | No | ||
detail[].loc[] | string | integer | No | ||
detail[].msg | string | No | ||
detail[].type | string | No |
429
The browser service is rate limiting you. Retry later.
No response body.
502
The browser service failed or returned an unexpected error.
No response body.
503
The browser service is temporarily unavailable. Retry after the Retry-After header.
No response body.